Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.swing
Enum GroupLayout.Alignment

    java.lang.Object
      java.lang.Enum<GroupLayout.Alignment>
          javax.swing.GroupLayout.Alignment

All Implemented Interfaces:
  Serializable, Comparable<GroupLayout.Alignment>

Enclosing class:
  GroupLayout

    public static enum GroupLayout.Alignment

extends Enum<GroupLayout.Alignment>

Enumeration of the possible ways `ParallelGroup` can align its children.

Since:
  1.6
See Also:
  `GroupLayout.createParallelGroup(Alignment)`

Enum Constant Summary
`BASELINE` Indicates the elements should be aligned along their baseline.
`CENTER` Indicates the elements should be centered in the region.
`LEADING` Indicates the elements should be aligned to the origin.
`TRAILING` Indicates the elements should be aligned to the end of the region.

Method Summary
`static GroupLayout.Alignment` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GroupLayout.Alignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEADING

    public static final GroupLayout.Alignment LEADING

  Indicates the elements should be aligned to the origin. For the horizontal axis with a left to right orientation this means aligned to the left edge. For the vertical axis leading means aligned to the top edge.

  See Also:
    `GroupLayout.createParallelGroup(Alignment)`

### TRAILING

    public static final GroupLayout.Alignment TRAILING

  Indicates the elements should be aligned to the end of the region. For the horizontal axis with a left to right orientation this means aligned to the right edge. For the vertical axis trailing means aligned to the bottom edge.

  See Also:
    `GroupLayout.createParallelGroup(Alignment)`

### CENTER

    public static final GroupLayout.Alignment CENTER

  Indicates the elements should be centered in the region.

  See Also:
    `GroupLayout.createParallelGroup(Alignment)`

### BASELINE

    public static final GroupLayout.Alignment BASELINE

  Indicates the elements should be aligned along their baseline.

  See Also:
    `GroupLayout.createParallelGroup(Alignment)`, `GroupLayout.createBaselineGroup(boolean,boolean)`

Method Detail

### values

    public static GroupLayout.Alignment[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GroupLayout.Alignment c : GroupLayout.Alignment.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GroupLayout.Alignment valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.